|
|||||||||
| Home >> All >> com >> opencms >> [ flex overview ] | PREV NEXT | ||||||||
C
- C_DEFAULT_JSP_ENCODING - Static variable in class com.opencms.flex.CmsJspLoader
- Encoding to write JSP files to disk (
ISO-8859-1) - C_DIRECTIVE_END - Static variable in class com.opencms.flex.CmsJspLoader
- Special JSP directive tag start (
%>) - C_DIRECTIVE_START - Static variable in class com.opencms.flex.CmsJspLoader
- Special JSP directive tag start (
<%@) - C_EXPORT_BODY - Static variable in class com.opencms.flex.CmsJspLoader
- Parameter constant to indicate a body previously discovered in an XMLTemplate
- C_EXPORT_ENCODING - Static variable in class com.opencms.flex.CmsJspLoader
- Parameter constant to indicate encoding used in calling template
- C_EXPORT_HEADER - Static variable in class com.opencms.flex.CmsJspLoader
- Header constant to indicate the found links in the response return headers
- C_EXPORT_HEADER_SEP - Static variable in class com.opencms.flex.CmsJspLoader
- Separator constant to separate return headers
- C_EXPORT_PARAM - Static variable in class com.opencms.flex.CmsJspLoader
- Parameter constant to indicate that the export is requested
- C_JSP_EXTENSION - Static variable in class com.opencms.flex.CmsJspLoader
- Extension for JSP managed by OpenCms (
.jsp) - C_LOADER_CACHENAME - Static variable in interface com.opencms.flex.I_CmsResourceLoader
- Name of FlexCache runtime property
- C_LOADER_CACHEPROPERTY - Static variable in interface com.opencms.flex.I_CmsResourceLoader
- The name of the VFS property that steers the caching
- C_LOADER_ERRORPAGECOMMIT - Static variable in class com.opencms.flex.CmsJspLoader
- Name of "error pages are commited or not" runtime property
- C_LOADER_EXCEPTION_PREFIX - Static variable in interface com.opencms.flex.I_CmsResourceLoader
- Prefix for exception message that occurs in a loaded file
- C_LOADER_JSPEXPORTURL - Static variable in class com.opencms.flex.CmsJspLoader
- Name of export URL runtime property
- C_LOADER_STREAMPROPERTY - Static variable in interface com.opencms.flex.I_CmsResourceLoader
- The name of the VFS property that steers the streaming
- CmsDumpLoader - class com.opencms.flex.CmsDumpLoader.
- Dump loader for binary or other unprocessed resource types.
- CmsDumpLoader() - Constructor for class com.opencms.flex.CmsDumpLoader
- The constructor of the class is empty and does nothing.
- CmsEvent - class com.opencms.flex.CmsEvent.
- Event class for OpenCms for system wide events that are thrown by various operations (e.g.
- CmsEvent(CmsObject, int, Map) - Constructor for class com.opencms.flex.CmsEvent
- Construct a new CmsEvent with the specified parameters,
this constructor just calls
this(cms, type, data, false). - CmsEvent(CmsObject, int, Map, boolean) - Constructor for class com.opencms.flex.CmsEvent
- Construct a new CmsEvent with the specified parameters.
- CmsJspLoader - class com.opencms.flex.CmsJspLoader.
- The JSP loader which enables the execution of JSP in OpenCms.
- CmsJspLoader() - Constructor for class com.opencms.flex.CmsJspLoader
- The constructor of the class is empty, the initial instance will be created by the launcher manager upon startup of OpenCms.
- CmsJspTemplate - class com.opencms.flex.CmsJspTemplate.
- A simple dump class for JSPs which enables the use of JSP as sub-elements in the legacy OpenCms XMLTemplate mechanism.
- CmsJspTemplate() - Constructor for class com.opencms.flex.CmsJspTemplate
- The constructor of the class is empty and does nothing.
- CmsXmlTemplateLoader - class com.opencms.flex.CmsXmlTemplateLoader.
- Implementation of the I_CmsResourceLoader and the com.opencms.launcher.I_CmsLauncher interface for XMLTemplates.
- CmsXmlTemplateLoader() - Constructor for class com.opencms.flex.CmsXmlTemplateLoader
- The constructor of the class is empty and does nothing.
- clearCache() - Method in class com.opencms.flex.CmsJspLoader
- This is part of the I_CmsLauncher interface, but for JSP so far this is a NOOP.
- cmsEvent(CmsEvent) - Method in interface com.opencms.flex.I_CmsEventListener
- Acknowledge the occurrence of the specified event, implement this method to check for CmsEvents in your class.
- com.opencms.flex - package com.opencms.flex
D
- DEBUG - Static variable in class com.opencms.flex.CmsDumpLoader
- Flag for debugging output.
- DEBUG - Static variable in class com.opencms.flex.CmsJspLoader
- Flag for debugging output.
- DEBUG - Static variable in class com.opencms.flex.CmsXmlTemplateLoader
- Flag for debugging output.
- destroy() - Method in class com.opencms.flex.CmsDumpLoader
- Destroy this ResourceLoder, this is a NOOP so far.
- destroy() - Method in class com.opencms.flex.CmsJspLoader
- Destroy this ResourceLoder, this is a NOOP so far.
- destroy() - Method in class com.opencms.flex.CmsXmlTemplateLoader
- Destroy this ResourceLoder, this is a NOOP so far.
- destroy() - Method in interface com.opencms.flex.I_CmsResourceLoader
- Destroy this ResourceLoder
E
- EVENT_CLEAR_CACHES - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "all caches mut be cleared".
- EVENT_FLEX_CACHE_CLEAR - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "the FlexCache must be cleared".
- EVENT_FLEX_CLUSTER_CHECK_SOURCE - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event used by the Flex Cluster Module.
- EVENT_FLEX_CLUSTER_HOOK - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event used by the Flex Cluster Module.
- EVENT_FLEX_PURGE_JSP_REPOSITORY - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "delete all JSP pages in the "real" file system (so they will be rebuild next time the JSP is requested)".
- EVENT_LOGIN_USER - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "user has logged in".
- EVENT_PUBLISH_BO_RESOURCE - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "a resource in the COS was published".
- EVENT_PUBLISH_PROJECT - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "a project was published".
- EVENT_PUBLISH_RESOURCE - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "a resource was published".
- EVENT_STATIC_EXPORT - Static variable in interface com.opencms.flex.I_CmsEventListener
- Event "static export has just happened"
- exportCheckMode(CmsObject, HttpServletRequest) - Method in class com.opencms.flex.CmsJspLoader
- Checks if the request parameter C_EXPORT_PARAM is set, if so sets the CmsObject working mode to C_MODUS_EXPORT.
- exportJsp(CmsObject, CmsFile) - Method in class com.opencms.flex.CmsJspLoader
- Perform an export of the requested JSP page.
- exportResetMode(CmsObject, int) - Method in class com.opencms.flex.CmsJspLoader
- Restores the mode stored in the
oldModepaameter to the CmsObject. - exportSetLinkHeader(CmsObject, HttpServletResponse) - Method in class com.opencms.flex.CmsJspLoader
- Returns the links found in the currently processed page as response headers, so that the static export can pick them up later.
G
- getCacheDirectives(CmsObject, String, String, Hashtable, String) - Method in class com.opencms.flex.CmsJspTemplate
- Returns the caching information from the current template class for the ElementCache.
- getCmsObject() - Method in class com.opencms.flex.CmsEvent
- Provides access to the CmsObject that was passed with this event.
- getContent(CmsObject, String, String, Hashtable) - Method in class com.opencms.flex.CmsJspTemplate
- Gets the content of the given JSP file to include them in the XMLTemplate.
- getData() - Method in class com.opencms.flex.CmsEvent
- Provides access to the event data that was passed with this event.
- getJspName(String) - Static method in class com.opencms.flex.CmsJspLoader
- Translates the JSP file name for a OpenCms VFS resourcn to the name used in the "real" file system.
- getJspPath(String, boolean) - Static method in class com.opencms.flex.CmsJspLoader
- Returns the absolute path in the "real" file system for a given JSP.
- getJspRepository() - Static method in class com.opencms.flex.CmsJspLoader
- Returns the absolute path in the "real" file system for the JSP repository toplevel directory.
- getJspUri(String, boolean) - Static method in class com.opencms.flex.CmsJspLoader
- Returns the uri for a given JSP in the "real" file system, i.e.
- getLauncherId() - Method in class com.opencms.flex.CmsJspLoader
- Returns the ID that indicates the type of the launcher.
- getResourceLoaderInfo() - Method in class com.opencms.flex.CmsDumpLoader
- Return a String describing the ResourceLoader,
which is
"A simple dump loader that extends from com.opencms.launcher.CmsDumpLauncher" - getResourceLoaderInfo() - Method in class com.opencms.flex.CmsJspLoader
- Return a String describing the ResourceLoader,
which is
"The OpenCms default resource loader for JSP" - getResourceLoaderInfo() - Method in class com.opencms.flex.CmsXmlTemplateLoader
- Return a String describing the ResourceLoader,
which is
"A XMLTemplate loader that extends from com.opencms.launcher.CmsXmlLauncher". - getResourceLoaderInfo() - Method in interface com.opencms.flex.I_CmsResourceLoader
- Return a String describing the ResourceLoader
- getType() - Method in class com.opencms.flex.CmsEvent
- Provides access to the event type that was passed with this event.
I
- I_CmsEventListener - interface com.opencms.flex.I_CmsEventListener.
- Implement this interface in case your class has to react to CmsEvents that are thrown by system.
- I_CmsResourceLoader - interface com.opencms.flex.I_CmsResourceLoader.
- This interface describes a resource loader for OpenCms, a class that can load a resource from the VFS, process it's contents and deliver the result to the user.
- init(A_OpenCms) - Method in class com.opencms.flex.CmsDumpLoader
- Initialize the ResourceLoader, not much done here, only the FlexCache is initialized for dump elements.
- init(A_OpenCms) - Method in class com.opencms.flex.CmsJspLoader
- Initialize the ResourceLoader, here the configuration for the JSP repository (directories used) is set.
- init(A_OpenCms) - Method in class com.opencms.flex.CmsXmlTemplateLoader
- Initialize the ResourceLoader, the OpenCms parameter is
saved here for later access to
generateOutput(). - init(A_OpenCms) - Method in interface com.opencms.flex.I_CmsResourceLoader
- Initialize the ResourceLoader.
- initlaunch(CmsObject, CmsFile, String, A_OpenCms) - Method in class com.opencms.flex.CmsJspLoader
- Start launch method called by the OpenCms system to show a resource, this basically processes the resource and returns the output.
- isClusterEvent() - Method in class com.opencms.flex.CmsEvent
- Check whether this event should be forwarded to the other servers in the cluster or not.
- isTemplateCacheSet() - Method in class com.opencms.flex.CmsJspTemplate
- Cache method required by the ElementCache to indicate if the results of the page should be cached in the ElementCache.
L
- load(CmsObject, CmsFile, HttpServletRequest, HttpServletResponse) - Method in class com.opencms.flex.CmsDumpLoader
- Basic top-page processing method for this I_CmsResourceLoader, this method is called if the page is called as a sub-element on a page not already loded with a I_CmsResourceLoader, which most often would be a I_CmsLauncher then.
- load(CmsObject, CmsFile, HttpServletRequest, HttpServletResponse) - Method in class com.opencms.flex.CmsJspLoader
- Basic top-page processing method for this I_CmsResourceLoader,
this method is called by
initlaunch()if a JSP is requested and the original request was from the launcher manager. - load(CmsObject, CmsFile, HttpServletRequest, HttpServletResponse) - Method in class com.opencms.flex.CmsXmlTemplateLoader
- Basic top-page processing method for this I_CmsResourceLoader, this method is called if the page is called as a sub-element on a page not already loded with a I_CmsResourceLoader, which most often would be an I_CmsLauncher then.
- load(CmsObject, CmsFile, HttpServletRequest, HttpServletResponse) - Method in interface com.opencms.flex.I_CmsResourceLoader
- Basic top-page processing method for a I_CmsResourceLoader, this method is called if the page is called as a sub-element on a page not already loded with a I_CmsResourceLoader, which most often would be an I_CmsLauncher then.
- loadTemplate(CmsObject, CmsFile) - Method in class com.opencms.flex.CmsJspLoader
- Method to enable JSPs to be used as sub-elements in XMLTemplates.
M
- m_cache - Static variable in class com.opencms.flex.CmsDumpLoader
- The CmsFlexCache used to store generated cache entries in
- m_cache - Static variable in class com.opencms.flex.CmsJspLoader
- The CmsFlexCache used to store generated cache entries in
- m_cache - Static variable in class com.opencms.flex.CmsXmlTemplateLoader
- The CmsFlexCache used to store generated cache entries in
- m_cms - Variable in class com.opencms.flex.CmsEvent
- The CmsObject on which this event occurred
- m_data - Variable in class com.opencms.flex.CmsEvent
- The event data associated with this event
- m_errorPagesAreNotCommited - Static variable in class com.opencms.flex.CmsJspLoader
- Flag to indicate if error pages are mared a "commited"
- m_isClusterEvent - Variable in class com.opencms.flex.CmsEvent
- Boolean whether this event should be clustered
- m_jspExportUrl - Static variable in class com.opencms.flex.CmsJspLoader
- Export URL for JSP pages
- m_jspRepository - Static variable in class com.opencms.flex.CmsJspLoader
- The directory to store the generated JSP pages in (absolute path)
- m_jspWebAppRepository - Static variable in class com.opencms.flex.CmsJspLoader
- The directory to store the generated JSP pages in (relative path in web application
- m_openCms - Variable in class com.opencms.flex.CmsXmlTemplateLoader
- Required to access the XMLTemplate load mechanism
- m_type - Variable in class com.opencms.flex.CmsEvent
- The event type this instance represents
S
- service(CmsObject, CmsResource, ServletRequest, ServletResponse) - Method in class com.opencms.flex.CmsDumpLoader
- Does the job of dumping the contents of the requested file to the output stream, this method is called directly if the element is called as a sub-element from another I_CmsResourceLoader.
- service(CmsObject, CmsResource, ServletRequest, ServletResponse) - Method in class com.opencms.flex.CmsJspLoader
- Does the job of including the JSP,
this method should usually be called from a
CmsFlexRequestDispatcheronly. - service(CmsObject, CmsResource, ServletRequest, ServletResponse) - Method in class com.opencms.flex.CmsXmlTemplateLoader
- Does the job of including the XMLTemplate, this method is called directly if the element is called as a sub-element from another I_CmsResourceLoader.
- service(CmsObject, CmsResource, ServletRequest, ServletResponse) - Method in interface com.opencms.flex.I_CmsResourceLoader
- Does the job of including the requested resource, this method is called directly if the element is called as a sub-element from another I_CmsResourceLoader.
- setClusterEvent(boolean) - Method in class com.opencms.flex.CmsEvent
- Set the boolean flag whether this event should be forwarded to the other servers in the cluster.
- setJspExportUrl(String) - Static method in class com.opencms.flex.CmsJspLoader
- Set's the JSP export URL.
- setOpenCms(A_OpenCms) - Method in class com.opencms.flex.CmsJspLoader
- This is part of the I_CmsLauncher interface, used here to call the init() method.
- shouldReload(CmsObject, String, String, Hashtable, String) - Method in class com.opencms.flex.CmsJspTemplate
- Method used by the ElementCache to check if the page should reload or not.
T
- toString() - Method in class com.opencms.flex.CmsEvent
- Return a String representation of this CmsEvent.
U
- updateJsp(CmsObject, CmsResource, ServletRequest, CmsFlexController, Set) - Method in class com.opencms.flex.CmsJspLoader
- Updates a JSP page in the "real" file system in case the VFS resource has changed.
C D E G I L M S T U
|
|||||||||
| Home >> All >> com >> opencms >> [ flex overview ] | PREV NEXT | ||||||||